System Requirements

Last Updated: Aug 07, 2019 09:30AM PDT
To run a Mukurtu CMS 2.1 (or above) instance, the minimum system requirements are: Experience installing and maintaining Drupal servers is required.
Full documentation is available at http://github.com/MukurtuCMS/mukurtucms